> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/powershell/de/powershell-commands/new-dsgatewayrulesetaccessrule.md).

# New-DSGatewayRulesetAccessRule

New-DSGatewayRulesetAccessRule erstellt eine Zugriffsregel für einen Gateway-Regelsatz von Devolutions Server, die den Zugriff nach IP, Subnetz, Bereich oder DNS-Wert erlaubt oder verweigert.

### Übersicht

Eine Zugriffsregel für einen Gateway-Regelsatz erstellen.

### Syntax

#### \_\_AllParameterSets

```
New-DSGatewayRulesetAccessRule [-Access] <GatewayAccessRule> [-Type] <NetworkAccessRuleType>
 [-Value] <string> [<CommonParameters>]
```

### Beschreibung

Erstellt eine Zugriffsregel für einen Gateway-Regelsatz. Je nach angegebenem Typ wird ein entsprechender regulärer Ausdruck angewendet, um den Eingabewert zu überprüfen. Verwenden Sie das resultierende Objekt mit [New-DSGatewayRuleset](/powershell/de/powershell-commands/new-dsgatewayruleset.md) oder [Update-DSGatewayRuleset](/powershell/de/powershell-commands/update-dsgatewayruleset.md).

Dieses Cmdlet hieß zuvor New-DSVirtualGatewayAccessRule. Dieser Name ist weiterhin als Alias verfügbar.

### Beispiele

#### Beispiel 1

```powershell
PS C:\> $rules = @(
    New-DSGatewayRulesetAccessRule -Access Deny -Type IP -Value '1.2.3.4'
    New-DSGatewayRulesetAccessRule -Access Deny -Type DNS 'a.com'
  )
PS C:\> $gatewayId = Get-DSGateway -Name 'GatewayA' | Select-Object -ExpandProperty ID
PS C:\> New-DSGatewayRuleset -LinkedGatewayID $gatewayId -Name 'My gateway ruleset' -Description 'A little description' -Rule $rules
```

Erstellt einen Gateway-Regelsatz, der den Zugriff von einer bestimmten IP-Adresse und der Domäne 'a.com' verweigert.

#### Beispiel 2

```powershell
PS C:\> $gatewayId = Get-DSGateway -Name 'GatewayRulesetA' | Select-Object -ExpandProperty ID
PS C:\> $newRule = New-DSGatewayRulesetAccessRule -Access Deny -Type IP -Value '1.2.3.4'
PS C:\> Update-DSGatewayRuleset -GatewayID $gatewayId -Rule $newRule
```

Ersetzt alle vorhandenen Zugriffsregeln des Gateway-Regelsatzes durch eine Regel, die die IP-Adresse '1.2.3.4' verweigert.

### Parameter

#### -Access

Die Auswirkung der Regel.

```yaml
Type: Devolutions.PowerShell.Enums.GatewayAccessRule
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: (All)
  Position: 0
  IsRequired: true
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -Type

Der Typ der Regel.

```yaml
Type: Devolutions.RemoteDesktopManager.NetworkAccessRuleType
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: (All)
  Position: 1
  IsRequired: true
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -Value

Der Wert der Regel basierend auf dem Typ.

```yaml
Type: System.String
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: (All)
  Position: 2
  IsRequired: true
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### CommonParameters

Dieses Cmdlet unterstützt die allgemeinen Parameter: -Debug, -ErrorAction, -ErrorVariable, -InformationAction, -InformationVariable, -OutBuffer, -OutVariable, -PipelineVariable, -ProgressAction, -Verbose, -WarningAction und -WarningVariable. Weitere Informationen finden Sie unter [about\_CommonParameters](https://go.microsoft.com/fwlink/?LinkID=113216).

### Ausgaben

#### Devolutions.PowerShell.PSOutputObject.PSGatewayAccessRule

Zugriffsregel für einen Gateway-Regelsatz zur Verwendung in (New, Update)-DSGatewayRuleset.

### Hinweise

Weitere Informationen erhalten Sie mit "Get-Help New-DSGatewayRulesetAccessRule -detailed". Technische Informationen erhalten Sie mit "Get-Help New-DSGatewayRulesetAccessRule -full".


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.devolutions.net/powershell/de/powershell-commands/new-dsgatewayrulesetaccessrule.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
